%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Business/OnlinePayment.pm) perl(ExtUtils/MakeMaker.pm) perl(MIME/Base64.pm) perl(Net/SSLeay.pm) perl(Template.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(XML/TreeBuilder.pm) perl(base.pm) perl(blib.pm)
# END SourceDeps(oneline)
%define module_version 1.00
%define module_name Business-OnlinePayment-WorldPay
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt1
Summary: RBS WorldPay interface for Business::OnlinePayment
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/P/PG/PGRASSIE/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module subclasses Business::OnlinePayment to provide a basic merchant
processing interface for submitting transactions as XML requests in the
direct model provided by RBS WorldPay.

http://www.rbsworldpay.com

http://www.rbsworldpay.com/support/bg/xml/kb/submittingtransactionsdirect/dxml.html

It currently implements payments, cancellations, refunds, and payment status inquiries.

Orders submitted to the RBS WorldPay system are required to be valid XML
files as specified in their Document Type Definition (DTD):

http://dtd.wp3.rbsworldpay.com/paymentService_v1.dtd


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/B*

%changelog
* Thu Oct 17 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- initial import by package builder

